// -------------------------------------------------------------
// Dog.h -- include file for class Dog
//
// File Revision Date: 01/12/01
// -------------------------------------------------------------

#include "cat.h"
#include <iostream>
#include <string>

using namespace std;

#ifndef _DOG
#define _DOG

class Dog
{
  public:
	Dog (string myName);
    void bite () const;
    void runAway () const;
	void sleep();
	void eat();
	void talk() const;
	string getName() const;
	bool isSleepy() const;
	bool isHungry () const;
	void chase(const Cat &vic) const;

  private:
	  bool sleepy;
	  bool hungry;
	  string name;
};

#endif
