// -------------------------------------------------------------
// Dog.cpp -- Implementation file for class Dog
//
// File Revision Date: 01/12/01
// -------------------------------------------------------------


#include "Dog.h"


Dog::Dog(string myName)
{
	name = myName;
	hungry= true;
	sleepy = false;
}

void Dog::sleep()
{
	sleepy = false;
	hungry = true;
}

void Dog::eat()
{
	hungry = false;
	sleepy = true;
}

void Dog::talk (void) const
{
	if (sleepy == true)
		cout << "Arf!" << endl;
	else
		cout << "Awooo!" << endl;
 
}



// -------------------------------------------------------------

void Dog::bite (void) const
{
  cout << "Chomp!" << endl;
}


// -------------------------------------------------------------

void Dog::runAway (void) const
{
  cout << "Yike! Yike! Yike!" << endl;
}

string Dog::getName() const
{
	return name;
}

bool Dog::isSleepy () const
{
	return sleepy;
}

bool Dog::isHungry () const
{
	return hungry;
}

void Dog::chase(const Cat &vic) const
{
	cout << name << " is chasing the cat named "
		<< vic.getName() << endl;
}

// -------------------------------------------------------------
